<link rel="import" href="bower_components/polymer/polymer.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout-classes.html">
<link rel="import" href="bower_components/d2l-text-input/d2l-text-input.html">
<link rel="import" href="bower_components/paper-button/paper-button.html">
<link rel="import" href="bower_components/iron-form/iron-form.html">
<link rel="import" href="custom-popup.html">
<link rel="import" href="tiny-book-form-add.html">

<dom-module id="tiny-book-add">
    <template>
        <tiny-pouchdb name="tiny-books" books="{{elements}}" id="db"></tiny-pouchdb>

        <style include="iron-flex iron-flex-layout"></style>
        <paper-button on-click="handleClick" style="background-color: green"> Nouveau livre </paper-button>
          <template is="dom-if" if="{{show}}">
            <rsat-popup pos="center" show="{{show}}" backdrop="true">
              <paper-card class="book-card layout horizontal">
                <tiny-book-form-add books="{{elements}}"></tiny-book-form-add>
              </paper-card>
              <paper-button on-click="hide" class="center" style="bottom:0; position:absolute"> Fermer </paper-button>
            </rsat-popup>
          </template>
    </template>

    <script>
    class TinyBookAdd extends Polymer.Element {
        static get is() {
            return "tiny-book-add";
        }

        static get properties() {
            return {
                book: {
                    type: Object,
                    notify: true
                },
                show: {
                  type: Object,
                  value: false,
                  notify: true
                }
            }
        }

        handleClick(e) {
          this.show = true;
        }

        hide(e) {
          this.show = false;
        }
    }
    customElements.define(TinyBookAdd.is, TinyBookAdd);
    </script>
</dom-module>
